---
# Author: Raphaël Jacquot
# Description: sets up ntp on the template
# extracted from the work initially done on the RESIF work

- block:
  # - debug: "var=hostvars[inventory_hostname]"
  # - debug: "var=hostvars[inventory_hostname].ansible_distribution"
  # - debug: "var=hostvars[inventory_hostname].ansible_distribution_release"
  
  - name: "configure ntp according to the distro"
    include: "configure-ntp-{{ansible_distribution}}-{{ansible_distribution_release}}.yml"
    vars:
      ntp_servers:
        - "ntp1.jussieu.fr"
        - "ntp.univ-lyon1.fr"
        - "ntp.ujf-grenoble.fr"
        - "ntp1.u-ga.fr"
        - "ntp2.u-ga.fr"

- name: "debug"
  debug: "var=ntp_conf_templated"

- name: "restart NTP according to the distro"
  include: "restart-ntp-{{ansible_distribution}}.yml"
  when: ntp_conf_templated is undefined or ntp_conf_templated.changed